apiVersion: kustomize.config.k8s.io/v1alpha1
kind: Component

patches:
- target:
    kind: RKE2ControlPlane
  patch: |
    - op: add
      path: /spec/rke2ConfigSpec/files/-
      value:
        path: /etc/default/rke2-server
        owner: root:root
        permissions: "0644"
        content: |
          HTTP_PROXY=${http_proxy}
          HTTPS_PROXY=${https_proxy}
          NO_PROXY=${no_proxy}
    - op: add
      path: /spec/rke2ConfigSpec/files/-
      value:
        path: /etc/default/rke2-agent
        owner: root:root
        permissions: "0644"
        content: |
          HTTP_PROXY=${http_proxy}
          HTTPS_PROXY=${https_proxy}
          NO_PROXY=${no_proxy}
